KJOURNALPRINT(8)

NAME
kjournalprint - Knot DNS journal print utility

SYNOPSIS

kjournalprint [options] journal_dir zone_name

DESCRIPTION

The program prints zone history stored in a journal database. As default, changes are colored for terminal.

  Options

-l, --limit limit
    Limits the number of displayed changes.

-s, --serial soa
    Start at a specific SOA serial.

-d, --debug
    Debug mode brief output.

-n, --no-color
    Removes changes coloring.

-z, --zone-list
    Instead of reading the journal, display the list of zones in the DB. (zone_name not needed)

-c, --check
    Enable additional journal semantic checks during printing.

-h, --help
    Print the program help.

-V, --version
    Print the program version.

  Parameters

journal_dir
    A path to the journal database directory.

zone_name
    A name of the zone to print the history for.

EXIT VALUES

Exit status of 0 means successful operation. Any other exit status indicates an error.

EXAMPLES

Last (most recent) 5 changes without colors:

$ kjournalprint -nl 5 /var/lib/knot/journal example.com.

SEE ALSO

knotd(8), knot.conf(5).

AUTHOR
CZ.NIC Labs <https://www.knot-dns.cz>

COPYRIGHT
Copyright 2010–2021, CZ.NIC, z.s.p.o.